import request from '@/utils/request'

// 查询行业列表
export function listMallIndustry(query) {
  return request({
    url: '/mall/mallIndustry/list',
    method: 'get',
    params: query
  })
}

// 查询行业详细
export function getMallIndustry(industryId) {
  return request({
    url: '/mall/mallIndustry/' + industryId,
    method: 'get'
  })
}

// 新增行业
export function addMallIndustry(data) {
  return request({
    url: '/mall/mallIndustry',
    method: 'post',
    data: data
  })
}

// 修改行业
export function updateMallIndustry(data) {
  return request({
    url: '/mall/mallIndustry',
    method: 'put',
    data: data
  })
}

// 删除行业
export function delMallIndustry(industryId) {
  return request({
    url: '/mall/mallIndustry/' + industryId,
    method: 'delete'
  })
}

// 修改行业关联职业
export function updateIndustryCareer(data) {
  return request({
    url: '/mall/mallIndustry/updateIndustryCareer',
    method: 'put',
    data: data
  })
}
